package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
 * @author hgw
 * Created by 2022-02-10
 */
public class TenantPreJoinDto implements Serializable {
    @ApiModelProperty(value = "主键")
    private Integer id;

    @NotBlank(message = "公司全称不能为空")
    @ApiModelProperty(value = "公司全称")
    private String tsignName;

    @ApiModelProperty(value = "推荐人")
    private Integer recommender;

    @NotBlank(message = "公司简称不能为空")
    @ApiModelProperty(value = "机构名称/公司简称")
    private String name;

    @ApiModelProperty(value = "area表code字段")
    private String areaCode;

    @NotBlank(message = "邮箱不能为空!")
    @Email(message = "邮箱格式不正确！")
    @Size(max = 64, message = "邮箱长度不能超过64位!")
    @ApiModelProperty(value = "机构邮箱")
    private String email;

    @ApiModelProperty(value = "客服电话")
    private String customerServicePhone;

    @ApiModelProperty(value = "营业执照编码")
    private String tsignCode;

    @Size(max = 200, message = "地址不能超过200个字!")
    @ApiModelProperty(value = "地址")
    private String address;

    @Size(max = 200, message = "机构描述不能超过200个字!")
    @ApiModelProperty(value = "机构描述-200字")
    private String remark;

    @NotBlank(message = "企业负责人不能为空!")
    @ApiModelProperty(value = "企业负责人")
    private String enterpriseLiableName;

    @NotBlank(message = "企业负责人电话不能为空!")
    @Size(max = 11, message = "手机号最高11位请核实后再填写!")
    @Pattern(regexp = "^[0-9]*$", message = "企业负责人电话只能填写数字！")
    @ApiModelProperty(value = "企业负责人电话")
    private String enterpriseLiablePhone;

    @ApiModelProperty(value = "法人身份证正面照片地址")
    private String legalPersonIdFrontPic;

    @ApiModelProperty(value = "法人身份证反面照片地址")
    private String legalPersonIdReversePic;

    @ApiModelProperty(value = "项目负责人/机构联系人")
    private String contacts;

    @ApiModelProperty(value = "项目负责人电话/机构联系人电话")
    private String phone;

    @NotBlank(message = "公司营业执照图片不能为空!")
    @ApiModelProperty(value = "公司营业执照图片")
    private String tsignPic;

    @ApiModelProperty(value = "税务登记证照片地址")
    private String taxRegisterPic;

    @ApiModelProperty(value = "公司开户信息照片地址")
    private String companyAccountInfoPic;

    @NotBlank(message = "机构logo照片不能为空!")
    @ApiModelProperty(value = "机构logo")
    private String logo;

    @ApiModelProperty(value = "企业公章图片地址")
    private String corporateChops;

    @ApiModelProperty(value = "企业财务公章图片地址")
    private String corporateFinanceChops;

    @ApiModelProperty(value = "现有学校数量")
    private Integer currentHasSchoolNum;

    @ApiModelProperty(value = "学员数量")
    private Integer studentNum;

    public Integer getCurrentHasSchoolNum() {
        return currentHasSchoolNum;
    }

    public void setCurrentHasSchoolNum(Integer currentHasSchoolNum) {
        this.currentHasSchoolNum = currentHasSchoolNum;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public Integer getRecommender() {
        return recommender;
    }

    public void setRecommender(Integer recommender) {
        this.recommender = recommender;
    }

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTsignName() {
        return tsignName;
    }

    public void setTsignName(String tsignName) {
        this.tsignName = tsignName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getCustomerServicePhone() {
        return customerServicePhone;
    }

    public void setCustomerServicePhone(String customerServicePhone) {
        this.customerServicePhone = customerServicePhone;
    }

    public String getTsignCode() {
        return tsignCode;
    }

    public void setTsignCode(String tsignCode) {
        this.tsignCode = tsignCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getEnterpriseLiableName() {
        return enterpriseLiableName;
    }

    public void setEnterpriseLiableName(String enterpriseLiableName) {
        this.enterpriseLiableName = enterpriseLiableName;
    }

    public String getEnterpriseLiablePhone() {
        return enterpriseLiablePhone;
    }

    public void setEnterpriseLiablePhone(String enterpriseLiablePhone) {
        this.enterpriseLiablePhone = enterpriseLiablePhone;
    }

    public String getLegalPersonIdFrontPic() {
        return legalPersonIdFrontPic;
    }

    public void setLegalPersonIdFrontPic(String legalPersonIdFrontPic) {
        this.legalPersonIdFrontPic = legalPersonIdFrontPic;
    }

    public String getLegalPersonIdReversePic() {
        return legalPersonIdReversePic;
    }

    public void setLegalPersonIdReversePic(String legalPersonIdReversePic) {
        this.legalPersonIdReversePic = legalPersonIdReversePic;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getTsignPic() {
        return tsignPic;
    }

    public void setTsignPic(String tsignPic) {
        this.tsignPic = tsignPic;
    }

    public String getTaxRegisterPic() {
        return taxRegisterPic;
    }

    public void setTaxRegisterPic(String taxRegisterPic) {
        this.taxRegisterPic = taxRegisterPic;
    }

    public String getCompanyAccountInfoPic() {
        return companyAccountInfoPic;
    }

    public void setCompanyAccountInfoPic(String companyAccountInfoPic) {
        this.companyAccountInfoPic = companyAccountInfoPic;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getCorporateChops() {
        return corporateChops;
    }

    public void setCorporateChops(String corporateChops) {
        this.corporateChops = corporateChops;
    }

    public String getCorporateFinanceChops() {
        return corporateFinanceChops;
    }

    public void setCorporateFinanceChops(String corporateFinanceChops) {
        this.corporateFinanceChops = corporateFinanceChops;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

}
